Group
Represents a group of users, service principals and other groups in the Databricks account. Members inherit the permissions that are granted to the group.
AccountGroup object
Represents a group of users, service principals and other groups in the Databricks account. Members inherit the permissions that are granted to the group.
- displayNamestring
Identifies the group by a human-readable name. The name must be unique within the account and must not exceed 255 characters.
- externalIdstring<= 64 characters
Identifies the group in an external identity provider. Identity providers use it to match the groups they manage to Databricks groups, so it should be unique among the groups in the account.
- idstringint64
Identifies the group within Databricks. Databricks generates the ID when the group is created.
- membersarray of object
Lists the members of the group. Each entry identifies a user, service principal or group in the account by its ID in the value sub-attribute.
Show child attributesHide child attributes
- displaystring
Provides a human-readable name for the value, such as the display name of a group member.
- primaryboolean
Indicates whether this is the primary or preferred value of a multi-valued attribute. At most one value can be primary.
- $refstring
References the resource that the value refers to by its URI, such as the user, service principal or group entry of a group member.
- typestring
Indicates the function or kind of the value within a multi-valued attribute.
- valuestring
Holds the value of the attribute. For references to other resources, such as group members, this is the ID of the referenced resource.
- rolesarray of object
Lists the account roles that are assigned to the group. The only supported role value is
account_admin.Show child attributesHide child attributes
- displaystring
Provides a human-readable name for the value, such as the display name of a group member.
- primaryboolean
Indicates whether this is the primary or preferred value of a multi-valued attribute. At most one value can be primary.
- $refstring
References the resource that the value refers to by its URI, such as the user, service principal or group entry of a group member.
- typestring
Indicates the function or kind of the value within a multi-valued attribute.
- valuestring
Holds the value of the attribute. For references to other resources, such as group members, this is the ID of the referenced resource.
- account_idstringuuid
Identifies the Databricks account that the group belongs to.
Get group details GA
GET
Gets the information for a specific group in the Databricks account.
API scopes: scim
Parameters
- account_idstringuuidRequiredpath
Identifies the Databricks account.
- idstringint64Requiredpath
Unique ID for a group in the Databricks account.
Response
Returns the AccountGroup object.
List group details GA
GET
Gets all details of the groups associated with the Databricks account. As of 08/22/2025,
this endpoint will no longer return members. Instead, members should be retrieved by
iterating through Get group details. Existing accounts that rely on this attribute
will not be impacted and will continue receiving member data as before.
API scopes: scim
Parameters
- account_idstringuuidRequiredpath
Identifies the Databricks account.
- filterstringquery
Query by which the results have to be filtered. Supported operators are equals(
eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators -andandor. The SCIM RFC has more details but we currently only support simple expressions.displayName co "foo" and displayName co "bar": Group whose displayName contains foo and displayName contains bar.displayName co "foo": Groups whose displayName contains foo.displayName eq "admins": Groups whose displayName equals admins.displayName ne "baz": Groups whose displayName does not equal baz.displayName co "foo" or displayName co "bar": Group whose displayName contains foo or displayName contains bar.displayName sw "bar": Groups whose displayName starts with bar.
- attributesstringquery
Comma-separated list of attributes to return in response.
- excludedAttributesstringquery
Comma-separated list of attributes to exclude in response.
- startIndexint64query
Specifies the index of the first result. First item is number 1.
- countint64<= 100query
Specifies the number of results per page. When omitted, the server uses its default page size.
- sortBystringquery
Attribute to sort the results.
- sortOrderstringquery
The order to sort the results.
ascendingdescending
Response
Returns a list of AccountGroup objects.
Create a new group GA
POST
Creates a group in the Databricks account with a unique name, using the supplied group details.
API scopes: scim
Parameters
- account_idstringuuidRequiredpath
Identifies the Databricks account.
Request body
- displayNamestring
Sets the human-readable name of the group. The name must be unique within the account and must not exceed 255 characters.
- externalIdstring
Sets the identifier of the group in an external identity provider.
- idstringint64
Identifies the group within Databricks.
- membersarray of object
Lists the members of the group. Each entry identifies a user, service principal or group in the account by its ID in the value sub-attribute.
Show child attributesHide child attributes
- displaystring
Provides a human-readable name for the value, such as the display name of a group member.
- primaryboolean
Indicates whether this is the primary or preferred value of a multi-valued attribute. At most one value can be primary.
- $refstring
References the resource that the value refers to by its URI, such as the user, service principal or group entry of a group member.
- typestring
Indicates the function or kind of the value within a multi-valued attribute.
- valuestring
Holds the value of the attribute. For references to other resources, such as group members, this is the ID of the referenced resource.
- rolesarray of object
Lists the account roles that are assigned to the group. The only supported role value is
account_admin.Show child attributesHide child attributes
- displaystring
Provides a human-readable name for the value, such as the display name of a group member.
- primaryboolean
Indicates whether this is the primary or preferred value of a multi-valued attribute. At most one value can be primary.
- $refstring
References the resource that the value refers to by its URI, such as the user, service principal or group entry of a group member.
- typestring
Indicates the function or kind of the value within a multi-valued attribute.
- valuestring
Holds the value of the attribute. For references to other resources, such as group members, this is the ID of the referenced resource.
Response
Returns the AccountGroup object.
Replace a group GA
PUT
Updates the details of a group by replacing the entire group entity.
API scopes: scim
Parameters
- account_idstringuuidRequiredpath
Identifies the Databricks account.
- idstringint64Requiredpath
Identifies the group within Databricks.
Request body
- displayNamestring
Sets the human-readable name of the group. The name must be unique within the account and must not exceed 255 characters.
- externalIdstring
Sets the identifier of the group in an external identity provider.
- membersarray of object
Lists the members of the group. Each entry identifies a user, service principal or group in the account by its ID in the value sub-attribute.
Show child attributesHide child attributes
- displaystring
Provides a human-readable name for the value, such as the display name of a group member.
- primaryboolean
Indicates whether this is the primary or preferred value of a multi-valued attribute. At most one value can be primary.
- $refstring
References the resource that the value refers to by its URI, such as the user, service principal or group entry of a group member.
- typestring
Indicates the function or kind of the value within a multi-valued attribute.
- valuestring
Holds the value of the attribute. For references to other resources, such as group members, this is the ID of the referenced resource.
- rolesarray of object
Lists the account roles that are assigned to the group. The only supported role value is
account_admin.Show child attributesHide child attributes
- displaystring
Provides a human-readable name for the value, such as the display name of a group member.
- primaryboolean
Indicates whether this is the primary or preferred value of a multi-valued attribute. At most one value can be primary.
- $refstring
References the resource that the value refers to by its URI, such as the user, service principal or group entry of a group member.
- typestring
Indicates the function or kind of the value within a multi-valued attribute.
- valuestring
Holds the value of the attribute. For references to other resources, such as group members, this is the ID of the referenced resource.
Delete a group GA
Update group details GA
PATCH
Partially updates the details of a group.
API scopes: scim
Parameters
- account_idstringuuidRequiredpath
Identifies the Databricks account.
- idstringint64Requiredpath
Unique ID for a group in the Databricks account.
Request body
- Operationsarray of object
Lists the patch operations to apply to the group.
Show child attributesHide child attributes
- opstring
Type of patch operation.
addremovereplace
- pathstring
Specifies the attribute that the operation targets, optionally with a filter that selects one value of a multi-valued attribute. The path is required for remove operations. When it is omitted, the operation applies to the resource itself and the value holds the attributes to add or replace.
- valueobject
Holds the value that the operation adds or sets. Depending on the target, it is a single value, a list of entries for a multi-valued attribute, or an object with the attributes to change when the path is omitted. Remove operations do not need a value.
- schemasarray of string
The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].
urn:ietf:params:scim:api:messages:2.0:PatchOp